Subject: Re: Help, GE NA-9 LPS data

From: [email-masked] (Dick Gray)
Date: 6 Sep 1995 01:41:09 GMT

I have aquired a GE NA-9 low pressure sodium vapor lamp and I am in need of 
it's electrical characteristics (arc voltage, cathode voltage & current) as 
well as ballast info. I think that this lamp is about 40 yrs old.
TIA

--Dick--
[email-masked]